質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.59%

Mac OpenCV4 インストール opencv_createsamples.exe opencv_traincascade.exe ファイルがない

受付中

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 3,465

score 12

MacにOpenCV4.0をインストールしましたが、インストール先に
opencv_createsamples.exe
opencv_traincascade.exe
ファイルがインストールされておりません。

ターミナルから上記のファイルをインストールする場合はどのようにすればよろしいのでしょうか。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

拡張子「.exe」は Windows 用の実行ファイルなので、Mac にはないと思います。

以下のコマンドで、インストールとコマンドの確認をしてみてください。

brew install opencv
opencv_traincascade

参考:
[python]macでopencvの画像検出(自前のデータで)
https://qiita.com/mdo4nt6n/items/a0d77e2140e7e1a023b3

追記

「opencv_createsamples」「opencv_traincascade」は、バージョン 4.x では削除されてしまったようです。
どうしても使いたいのであれば、バージョン 3.x をインストールするしかなさそうですね。

OpenCV4 createsamples and traincascade are missing from build/apps #13231
https://github.com/opencv/opencv/issues/13231

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/03/25 13:00

    nskydiving 様 ご回答ありがとうございます。
    そちらの方法でopencv4.0.1をインストールしたのですが、
    以下のファイルしかインストールされませんでした。
    opencv_annotation
    opencv_interactive-calibration
    opencv_version
    opencv_visualisation
    opencv_waldboost_detector
    setup_vars_opencv4.sh

    キャンセル

  • 2019/03/25 22:23

    すみません、回答欄に追記しましたので、ご確認ください。

    キャンセル

  • 2019/03/25 22:36

    nskydiving様 ご回答ありがとうございます。
    ということはopencv3以下をインストールしなければいけないのですね。

    実は何回か現在MacにインストールしているOpencv4を削除してOpencv3を導入を試したのですが、
    インストールできるは、最新版(4.0)ですよ。と言われてしまい、OpencCV3以下のバージョンを入れられずにおりました。OpenCVのヴァージョンを指定してインストールすることは可能なんでしょうか。

    あと、OpenCVをヴァージョン別でインストールすることは可能なんでしょうか。
    (例 opencv3 とopencv2をインストール)
    質問が多くて申し訳ありませんがご回答のほどよろしくお願いします。

    キャンセル

  • 2019/03/25 22:56

    >OpenCVのヴァージョンを指定してインストールすることは可能なんでしょうか。
    以下の記事を参考してみてください。

    High SierraにOpenCV3.4.1をインストールする
    https://qiita.com/shotantan@github/items/bad07d32e54a4b569871

    >あと、OpenCVをヴァージョン別でインストールすることは可能なんでしょうか。
    やったことありませんが、GitHub の issues に「it's perfectly fine to download and build OpenCV 3.4 side by side with OpenCV 4.0」という書き込みがありましたので、不可能ではないような気がします。

    あと質問が変わるのであれば、別の質問として投稿した方が回答が付きやすいと思います。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.59%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る